Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc
Class IServeCommServer.User

    java.lang.Object
      ix.iserve.ipc.IServeCommServer.User

Enclosing class:
  IServeCommServer

    protected class IServeCommServer.User

extends java.lang.Object

Field Summary
`(package private) IServeCommServer.IdentityChecker` | `checker`
`(package private) boolean` | `haveSentGetNext`
`(package private) java.util.Date` | `lastAckDate`
`(package private) MessageWrapper` | `lastAckdMessage`
`(package private) java.util.Date` | `lastContactDate`
`(package private) java.util.Date` | `lastSendDate`
`(package private) java.lang.String` | `name`
`(package private) java.util.Map<Symbol,java.lang.Object>` | `properties`
`(package private) java.util.List<java.util.Date>` | `registrationDates`
`(package private) MessageQueue` | `responseQueue`
`(package private) int` | `seqNo`
`(package private) MessageMemory` | `unacknowledged`
`(package private) java.lang.String` | `uuid`

Constructor Summary
`IServeCommServer.User(java.lang.String name)`

Method Summary
`void` | `addMessage(MessageWrapper m)`
`void` | `assignUUID()`
`void` | `checkForSend(MessageWrapper w)`
`void` | `clearUnacknowledgedMessages()`
`void` | `deleted()`
`java.util.Date` | `getLastAckDate()`
`MessageWrapper` | `getLastAckdMessage()`
`java.util.Date` | `getLastContactDate()`
`java.util.Date` | `getLastSendDate()`
`java.lang.String` | `getName()`
`java.lang.Object` | `getProperty(Symbol name)`
`java.util.List` | `getRegistrationDates()`
`java.lang.String` | `getUUID()`
`java.lang.Object` | `nextMessage(MessageWrapper request)`
`void` | `noteln(java.lang.String line)`
`void` | `noteln(java.lang.String text, java.lang.Object about)`
`void` | `register(MessageWrapper w)`
`void` | `setIdentityChecker(IServeCommServer.IdentityCheckerFactory f)`
`void` | `setProperty(Symbol name, java.lang.Object value)`
`void` | `setUUID(java.lang.String uuid)`
`(package private) java.lang.String` | `status(java.util.Date now)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    java.lang.String name

### uuid

    java.lang.String uuid

### responseQueue

    MessageQueue responseQueue

### unacknowledged

    MessageMemory unacknowledged

### registrationDates

    java.util.List<java.util.Date> registrationDates

### lastContactDate

    java.util.Date lastContactDate

### lastSendDate

    java.util.Date lastSendDate

### lastAckDate

    java.util.Date lastAckDate

### lastAckdMessage

    MessageWrapper lastAckdMessage

### haveSentGetNext

    boolean haveSentGetNext

### seqNo

    int seqNo

### checker

    IServeCommServer.IdentityChecker checker

### properties

    java.util.Map<Symbol,java.lang.Object> properties

Constructor Detail

### IServeCommServer.User

    public IServeCommServer.User(java.lang.String name)

Method Detail

### setIdentityChecker

    public void setIdentityChecker(IServeCommServer.IdentityCheckerFactory f)

### getName

    public java.lang.String getName()

### getUUID

    public java.lang.String getUUID()

### setUUID

    public void setUUID(java.lang.String uuid)

### assignUUID

    public void assignUUID()

### getProperty

    public java.lang.Object getProperty(Symbol name)

### setProperty

    public void setProperty(Symbol name,
                            java.lang.Object value)

### getLastContactDate

    public java.util.Date getLastContactDate()

### getRegistrationDates

    public java.util.List getRegistrationDates()

### getLastSendDate

    public java.util.Date getLastSendDate()

### getLastAckDate

    public java.util.Date getLastAckDate()

### getLastAckdMessage

    public MessageWrapper getLastAckdMessage()

### deleted

    public void deleted()

### clearUnacknowledgedMessages

    public void clearUnacknowledgedMessages()

### addMessage

    public void addMessage(MessageWrapper m)

### register

    public void register(MessageWrapper w)
                  throws HttpRequestException

  Throws:
    `HttpRequestException`

### checkForSend

    public void checkForSend(MessageWrapper w)
                      throws HttpRequestException

  Throws:
    `HttpRequestException`

### nextMessage

    public java.lang.Object nextMessage(MessageWrapper request)
                                 throws HttpRequestException

  Throws:
    `HttpRequestException`

### noteln

    public void noteln(java.lang.String line)

### noteln

    public void noteln(java.lang.String text,
                       java.lang.Object about)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### status

    java.lang.String status(java.util.Date now)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD